require 'tst/reporters/plain'
require 'tst/reporters/pretty'

# ### Reporters ###
#
# Reporters are actually very simple.
#
# A reporter is just any object that responds to the following
# methods: `success`, `failure`, `exception`, `summarize`.
#
# `success`, `failure`, and `exception` get called as the tests
# are running - for real-time reporting.
#
# When called, they receive a Result instance as an argument, so
# you could list the name of each test after it ran.
#
# After all the tests run, the `summarize` method gets called with
# a Results (note the plural) object, which has information about
# the the tests that were run.
#
# Take a look at 'lib/tst.rb' for details about Result and Results.
#
# And take a look at the "plain" and "pretty" reporters in the
# 'lib/tst/reporters/' directory to see a couple of actual
# implementations.
