module Tst
  module Reporters
    class Pretty < Plain
      def color(n, s) "\e[#{n}m#{s}\e[0m" end

      def black(s)   color(30, s) end
      def red(s)     color(31, s) end
      def green(s)   color(32, s) end
      def yellow(s)  color(33, s) end
      def blue(s)    color(34, s) end
      def magenta(s) color(35, s) end
      def cyan(s)    color(36, s) end
      def white(s)   color(37, s) end

      def success(result)   io.print green('.')  end
      def failure(result)   io.print red('F')    end
      def exception(result) io.print yellow('E') end

      def failure_header(*)   red(super)    end
      def expected_actual(*)  white(super)  end
      def backtrace(*)        cyan(super)   end
      def exception_header(*) yellow(super) end

      def passed; green(super)  end
      def failed; red(super)    end
      def raised; yellow(super) end
    end
  end
end
